org.hibernate.search.cfg

## Class CharFilterDefMapping

- java.lang.Object
- - org.hibernate.search.cfg.CharFilterDefMapping

-     public class CharFilterDefMapping
      extends Object

  Author:
    Guillaume Smet

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `CharFilterDefMapping` | `charFilter(Class<? extends CharFilterFactory> factory)` `&#064;CharFilterDef(factory=factory)`
    `CharFilterDefMapping` | `charFilter(String name, Class<? extends CharFilterFactory> factory)` `&#064;CharFilterDef(name=name, factory=factory)`
    `EntityMapping` | `entity(Class<?> entityType)`
    `TokenFilterDefMapping` | `filter(Class<? extends TokenFilterFactory> factory)` `&#064;TokenFilterDef(factory=factory)`
    `TokenFilterDefMapping` | `filter(String name, Class<? extends TokenFilterFactory> factory)` `&#064;TokenFilterDef(name=name, factory=factory)`
    `FullTextFilterDefMapping` | `fullTextFilterDef(String name, Class<?> impl)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `CharFilterDefMapping` | `param(String name, String value)` {@code @CharFilterDef(, ...

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### param

          public CharFilterDefMapping param(String name,
                                            String value)

      `&#064;CharFilterDef(, ... params={&#064;Parameter(name="name", value="value"), ...}`
      Parameters:
        `name` - the name of the parameter
        `value` - the value of the parameter
      Returns:
        `this` for method chaining

    - #### charFilter

          public CharFilterDefMapping charFilter(Class<? extends CharFilterFactory> factory)

      `&#064;CharFilterDef(factory=factory)`
      Parameters:
        `factory` - the `CharFilterFactory`
      Returns:
        a new `CharFilterDefMapping`

    - #### charFilter

          public CharFilterDefMapping charFilter(String name,
                                                 Class<? extends CharFilterFactory> factory)

      `&#064;CharFilterDef(name=name, factory=factory)`
      Parameters:
        `name` - the char filter name
        `factory` - the `CharFilterFactory`
      Returns:
        a new `CharFilterDefMapping`

    - #### filter

          public TokenFilterDefMapping filter(Class<? extends TokenFilterFactory> factory)

      `&#064;TokenFilterDef(factory=factory)`
      Parameters:
        `factory` - the `TokenFilterFactory`
      Returns:
        a new `CharFilterDefMapping`

    - #### filter

          public TokenFilterDefMapping filter(String name,
                                              Class<? extends TokenFilterFactory> factory)

      `&#064;TokenFilterDef(name=name, factory=factory)`
      Parameters:
        `name` - the token filter name
        `factory` - the `TokenFilterFactory`
      Returns:
        a new `TokenFilterDefMapping`

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### fullTextFilterDef

          public FullTextFilterDefMapping fullTextFilterDef(String name,
                                                            Class<?> impl)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved